---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libisfldsin003.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FA50, symBinAddr: 0x61D0, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51990, symBinAddr: 0x8110, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51D80, symBinAddr: 0x8500, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52D20, symBinAddr: 0x94A0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52D30, symBinAddr: 0x94B0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F6D0, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F6D4, symBinAddr: 0x6084, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F6D8, symBinAddr: 0x6088, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F820, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F8D8, symBinAddr: 0x6148, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F8DC, symBinAddr: 0x614C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F8E0, symBinAddr: 0x6150, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F8E4, symBinAddr: 0x6154, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F8E8, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F8F0, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F908, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F910, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F918, symBinAddr: 0x6188, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F920, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F928, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4F96A, symBinAddr: 0x61AA, symSize: 0x0 }
  - { offsetInCU: 0x90F4, offset: 0x90F4, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4F970, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x910D, offset: 0x910D, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4F978, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x9126, offset: 0x9126, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4F988, symBinAddr: 0x61C8, symSize: 0x0 }
  - { offsetInCU: 0x917F, offset: 0x917F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x17B0, symSize: 0x80 }
  - { offsetInCU: 0x9214, offset: 0x9214, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1700, symSize: 0xB0 }
  - { offsetInCU: 0x926F, offset: 0x926F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1600, symSize: 0x100 }
  - { offsetInCU: 0x9502, offset: 0x9502, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1830, symSize: 0x220 }
  - { offsetInCU: 0x96E7, offset: 0x96E7, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1A50, symSize: 0xA0 }
  - { offsetInCU: 0x979A, offset: 0x979A, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1AF0, symSize: 0x110 }
  - { offsetInCU: 0x9890, offset: 0x9890, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1C00, symSize: 0x150 }
  - { offsetInCU: 0x99C1, offset: 0x99C1, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1D50, symSize: 0x30 }
  - { offsetInCU: 0x9A4A, offset: 0x9A4A, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1D80, symSize: 0x150 }
  - { offsetInCU: 0x9C42, offset: 0x9C42, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1ED0, symSize: 0x160 }
  - { offsetInCU: 0x9DCE, offset: 0x9DCE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x2030, symSize: 0x1B0 }
  - { offsetInCU: 0x9FE9, offset: 0x9FE9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x21E0, symSize: 0xA0 }
  - { offsetInCU: 0xA0B8, offset: 0xA0B8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2280, symSize: 0x20 }
  - { offsetInCU: 0xA0EF, offset: 0xA0EF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x22A0, symSize: 0x20 }
  - { offsetInCU: 0xA126, offset: 0xA126, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x22C0, symSize: 0x20 }
  - { offsetInCU: 0xA295, offset: 0xA295, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x22E0, symSize: 0x1A0 }
  - { offsetInCU: 0xA5B3, offset: 0xA5B3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2480, symSize: 0x80 }
  - { offsetInCU: 0xA67C, offset: 0xA67C, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2500, symSize: 0x6C0 }
  - { offsetInCU: 0xB1F2, offset: 0xB1F2, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA0C0, symBinAddr: 0x3660, symSize: 0xB0 }
  - { offsetInCU: 0xB269, offset: 0xB269, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2BC0, symSize: 0x70 }
  - { offsetInCU: 0xB325, offset: 0xB325, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2C30, symSize: 0xA0 }
  - { offsetInCU: 0xB424, offset: 0xB424, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2CD0, symSize: 0x40 }
  - { offsetInCU: 0xB51A, offset: 0xB51A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2D10, symSize: 0x2B0 }
  - { offsetInCU: 0xB8C0, offset: 0xB8C0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2FC0, symSize: 0xC0 }
  - { offsetInCU: 0xBA06, offset: 0xBA06, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3080, symSize: 0x10 }
  - { offsetInCU: 0xBAC8, offset: 0xBAC8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3090, symSize: 0x240 }
  - { offsetInCU: 0xBDB1, offset: 0xBDB1, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x32D0, symSize: 0x10 }
  - { offsetInCU: 0xBE0E, offset: 0xBE0E, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x32E0, symSize: 0x110 }
  - { offsetInCU: 0xBF91, offset: 0xBF91, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E30, symBinAddr: 0x33F0, symSize: 0x10 }
  - { offsetInCU: 0xC076, offset: 0xC076, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_IsFieldSynthetic_isfldsin003a_check, symObjAddr: 0x9E60, symBinAddr: 0x3400, symSize: 0x260 }
  - { offsetInCU: 0xC1F8, offset: 0xC1F8, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA170, symBinAddr: 0x3710, symSize: 0x36A }
...
